
require 'system/debugger'
require 'system/namespace'
require 'system/globalMeta'
require 'system/class'
require 'system/serializer'
require 'system/UpdateManager'
require 'system/SaveManager'
require 'system/gc'
require 'system/serializable'
require 'system/utils'
require 'system/scenario'
require 'system/options'
require 'system/keyboard'

requireDirectory('scripts/configs/normal', true)

requireDirectory('scripts/common', true)
requireDirectory('scripts/gui', true)
requireDirectory('scripts/buildings', true)
requireDirectory('scripts/live', true)
requireDirectory('scripts/tasks', true)
requireDirectory('scripts/video', true)

require "vinay_res"

vnyDbgInfo = VinayDebugInfo:new (nil)

game = getGame()
gameMap = getGameMap()
gameTime = getGameTime()